﻿using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;

namespace Falcon.SugarApi.Plugin
{
    /// <summary>
    /// 插件接口。插件通过实现此接口注册服务、配置、后台线程等。
    /// </summary>
    public interface IServicePlugin
    {
        /// <summary>
        /// 注册服务
        /// </summary>
        /// <param name="services">服务集合</param>
        /// <param name="configuration">配置</param>
        /// <returns>服务集合</returns>
        IServiceCollection AddServices(IServiceCollection services,IConfiguration configuration);
    }
}
